Subject: Re: bug#16416: 24.3; [SMIE] Assertion failure in smie-prec2->grammar

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 15 Jul 2021 07:06:16 +0200

[email-masked] (Raphaël Cauderlier) writes:

> I started emacs with emacs -Q and evaled the following file with
> load-file:
>
> -----
> (require 'smie)
> (smie-prec2->grammar (smie-bnf->prec2 '((name) (l ("a" name)))))
> -----
>
> This raised the following error message:
>
> (cl-assertion-failed (numberp (car cons)))

(I'm going through old bug reports.)

In more recent versions of Emacs, the `smie-prec2->grammar' call returns
nil, so it seems like this bug has been fixed.  (And if I interpret what
Stefan said at the time correctly, that's the right value.)

So I'm closing this bug report.  If there's something more to be worked
on here, please respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no